#!/bin/bash
set -e

NAME="eclipse-dltk"
TAG=R5_11_0
RELENG_TAG=213d316521184b8fcf51d04881c0d8b7a8377e71
CORE_TAG=ad07b61b16bb4991066abe13e22339a3caf7905f
RUBY_TAG=c5170f3e52b060d0ea177b5f304e8bc5fb5cd090
SHELL_TAG=6ac3a052181edc8d21cbdc2cbc090747feb6d348
TCL_TAG=7e82a1d4159950860d12478c4d289acbfd2d9b06

mkdir -p $NAME-$TAG
pushd $NAME-$TAG

function dl() {
	while [ ! -f "$1-$2.tar.xz" ] ; do
		while ! wget https://git.eclipse.org/c/dltk/${1}.git/snapshot/${1}-${2}.tar.xz ; do
			sleep 1
		done
		if ! tar xfs "$1-$2.tar.xz" ; then
			rm "$1-$2.tar.xz"
		else
			mv "$1-$2" "$1"
		fi
	done
}

dl org.eclipse.dltk.releng $RELENG_TAG

dl org.eclipse.dltk.core $CORE_TAG

dl org.eclipse.dltk.ruby $RUBY_TAG

dl org.eclipse.dltk.tcl $TCL_TAG

dl org.eclipse.dltk.sh $SHELL_TAG

popd

#Remove any commited jars
find $NAME-$TAG -name *.jar -delete
find $NAME-$TAG -name *.class -delete

echo "Creating tarball '$NAME-$TAG.tar.xz'..."
rm -f $NAME-$TAG.tar.xz $NAME-$TAG/*.tar.xz
tar -caf $NAME-$TAG.tar.xz $NAME-$TAG
rm -fr $NAME-$TAG
